Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456020 - ssmtp can't send logwatch email
Summary: ssmtp can't send logwatch email
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 9
Hardware: noarch
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-20 21:06 UTC by Vegard Lima
Modified: 2008-08-07 14:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-07 14:46:59 UTC


Attachments (Terms of Use)

Description Vegard Lima 2008-07-20 21:06:16 UTC
Description of problem:

selinux prevents ssmtp from sending email.

host=xxx type=AVC msg=audit(1216435357.179:141): avc:  denied  { name_connect }
for  pid=15667 comm="sendmail" dest=25
scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023
tcontext=system_u:object_r:smtp_port_t:s0 tclass=tcp_socket

host=xxx type=SYSCALL msg=audit(1216435357.179:141): arch=40000003 syscall=102
success=no exit=-13 a0=3 a1=bfb44ee0 a2=9dccad8 a3=3 items=0 ppid=15563
pid=15667 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) ses=16 comm="sendmail" exe="/usr/sbin/ssmtp"
subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-74.fc9.noarch
(and ssmtp-2.61-11.5.fc9.3.i386)

How reproducible: Always.

Steps to Reproduce:
1. Use ssmtp as mta and let cron.daily run logwatch.

Is this related to bug 448608 ?

Comment 1 Daniel Walsh 2008-07-22 10:32:05 UTC
If you chcon -t sendmail_exec_t /usr/sbin/ssmtp

Does it work?


Comment 2 Vegard Lima 2008-07-23 09:26:09 UTC
Yes it does. Thanks.

Comment 3 Daniel Walsh 2008-07-24 17:53:26 UTC
Fixed in selinux-policy-3.3.1-80.fc9.noarch


Comment 4 Vegard Lima 2008-08-07 12:50:36 UTC
Feel free to close this.
Does work with selinux-policy-3.3.1-82.fc9.noarch


Note You need to log in before you can comment on or make changes to this bug.